%the coupled ODEs (without t variable)

function v = fluxgate(y)

global c lambda;

tp1 = -y(1) + tanh(c*(y(1) + lambda*y(2)));
tp2 = -y(2) + tanh(c*(y(2) + lambda*y(3)));
tp3 = -y(3) + tanh(c*(y(3) + lambda*y(1)));
v = [tp1; tp2; tp3];